Package org.eclipse.birt.chart.render

# Class AxesRenderer

java.lang.Object
org.eclipse.birt.chart.render.BaseRenderer
org.eclipse.birt.chart.render.AxesRenderer

All Implemented Interfaces:
  `ISeriesRenderer`

Direct Known Subclasses:
  `EmptyWithAxes`

public abstract class AxesRenderer extends BaseRenderer
Provides a base framework for custom series rendering extensions that are interested in being rendered in a pre-computed plot containing axes. Series type extensions could subclass this class to participate in the axes rendering framework.

## Constructor Summary

Constructors
Constructor
Description
`AxesRenderer()`
The constructor.

## Method Summary

Modifier and Type
Method
Description
`IAxesDecorator`
`getAxesDecorator(OneAxis ax)`
Returns the decorator renderer associated with current series, default is none.
`final Axis`
`getAxis()`
Gets current model Axis
`Object3D`
`getFloor()`
`Object`
`getFloorEvent()`
`Object3D`
`getLeftWall()`
`Object`
`getLeftWallEvent()`
`Object3D`
`getRightWall()`
`Object`
`getRightWallEvent()`
`final boolean`
`isDimension3D()`
Returns if its a 3D rendering.
`final boolean`
`isLastRuntimeSeriesInAxis()`
`final boolean`
`isLastRuntimeSeriesInGroup()`
To judge whether current series is the last runtime series in a series definition or not .
`boolean`
`isTransposed()`
Returns if current chart is transposed.
`final void`
`render(Map<Series,LegendItemRenderingHints> htRenderers, Bounds bo)`
Overridden behavior for graphic element series that are plotted along axes
`final void`
`renderEachAxis(IPrimitiveRenderer ipr, Plot pl, OneAxis ax, int iWhatToDraw)`
Renders the axis.
`void`
`renderPlot(IPrimitiveRenderer ipr, Plot p)`
This method renders the bar graphic elements superimposed over the plot background and any previously rendered series' graphic elements.
`void`
`set(Chart _cm, PlotComputation _o, Series _se, Axis _ax, SeriesDefinition _sd)`

### Methods inherited from class org.eclipse.birt.chart.render.BaseRenderer

`getComputations, getDeferredCache, getDeferredCacheManager, getDevice, getDeviceScale, getFilteredMinSliceEntry, getModel, getRenderer, getRunTimeContext, getSeries, getSeriesCount, getSeriesDefinition, getSeriesIndex, getSeriesRenderingHints, getX, getXServer, getY, instances, isInteractivityEnabled, isRightToLeft, processTrigger, renderLabel, renderLabel, renderLabel, renderLegend, renderTitle, set, set, set, set, set, set, set, setDeferredCacheManager, switchAnchor, switchPosition, switchTextAlignment, updateTranslucency`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.birt.chart.render.ISeriesRenderer

`compute, renderLegendGraphic, renderSeries`

## Constructor Details

### AxesRenderer

public AxesRenderer()
The constructor.

## Method Details

### getLeftWall

public Object3D getLeftWall()

### getLeftWallEvent

public Object getLeftWallEvent()

### getRightWall

public Object3D getRightWall()

### getRightWallEvent

public Object getRightWallEvent()

### getFloor

public Object3D getFloor()

### getFloorEvent

public Object getFloorEvent()

### render

public final void render(Map<Series,LegendItemRenderingHints> htRenderers, Bounds bo) throws ChartException
Overridden behavior for graphic element series that are plotted along axes

Overrides:
  `render` in class `BaseRenderer`
Parameters:
  `bo` -
Throws:
  `ChartException`

### renderPlot

public void renderPlot(IPrimitiveRenderer ipr, Plot p) throws ChartException
This method renders the bar graphic elements superimposed over the plot background and any previously rendered series' graphic elements.

Overrides:
  `renderPlot` in class `BaseRenderer`
Parameters:
  `ipr` - The Primitive Renderer of a Device Renderer
  `p` - The Plot to render
Throws:
  `ChartException`

### getAxesDecorator

public IAxesDecorator getAxesDecorator(OneAxis ax)
Returns the decorator renderer associated with current series, default is none.

Overrides:
  `getAxesDecorator` in class `BaseRenderer`

### renderEachAxis

public final void renderEachAxis(IPrimitiveRenderer ipr, Plot pl, OneAxis ax, int iWhatToDraw) throws ChartException
Renders the axis.

Parameters:
  `ipr` -
  `pl` -
  `ax` -
  `iWhatToDraw` -
Throws:
  `ChartException`

### set

public void set(Chart _cm, PlotComputation _o, Series _se, Axis _ax, SeriesDefinition _sd)

### isDimension3D

public final boolean isDimension3D()
Returns if its a 3D rendering.

### isTransposed

public boolean isTransposed()
Returns if current chart is transposed.

Overrides:
  `isTransposed` in class `BaseRenderer`

### isLastRuntimeSeriesInAxis

public final boolean isLastRuntimeSeriesInAxis()

Returns:
  Returns if current rendering is the last series in associated axis.

### isLastRuntimeSeriesInGroup

public final boolean isLastRuntimeSeriesInGroup()
To judge whether current series is the last runtime series in a series definition or not .

Returns:
  true current series is the last in series definition
Since:
  2.3

### getAxis

public final Axis getAxis()
Gets current model Axis

Returns:
  Returns the axis associated with current renderer.